@charset "UTF-8";
/*
    Template: swell
    Theme Name: SWELL CHILD
    Theme URI: httpss://swell-theme.com/
    Description: SWELLの子テーマ
    Version: 1.0.0
    Author: LOOS WEB STUDIO
    Author URI: httpss://loos-web-studio.com/

    License: GNU General Public License
    License URI: https://www.gnu.org/licenses/gpl.html
*/

/* 共通パーツ */
.font500 {
  font-weight: 500 !important;
}

.section-title__en {
  font-family: 'Inter', sans-serif;
  letter-spacing: 1.8px;
}

/* ボタン→ */
.btn a {
  background-image: url('https://www.c2cc.jp/wp-content/uploads/2025/07/Contact-Button.png');
  transition: filter 0.3s ease;
  cursor: pointer;
  position: relative;
  display: inline-block;
  min-width: fit-content;
  width: 16rem;
}

.btn a:hover {
  filter: brightness(0.85);
}

.btn a::before {
  content: '→';
  position: absolute;
  top: 50%;
  right: 10%;
  font-size: 1rem;
  color: #FFF;
  transform: translateX(-50%) translateY(-50%);
  transition: transform 0.3s ease;
}

.btn a:hover::before {
  transform: translateX(-30%) translateY(-50%);
}

/* お問い合わせボタン */
.contact-btn {
  background-image: url(https://www.c2cc.jp/wp-content/uploads/2025/07/Contact-Button.png);
  transition: filter 0.3s ease;
  cursor: pointer;
  position: relative;
  display: inline-block;
  min-width: fit-content;
  border-radius: 20px;
  color: #FFF;
  text-align: center;
  padding: 8px 32px;
  font-weight: 600;
  width: 10rem;
}

.contact-btn:hover {
  filter: brightness(0.85);
}

.contact-btn .p-spMenu a {
  color: #FFF;
}

/* ヘッダー */
.c-gnav .menu-item span {
  font-weight: 600;
  font-size: 1rem;
}

/* ドロワー */
.p-spMenu__body .c-widget__title {
  display: none;
}

.p-spMenu__nav {
  font-size: 1rem;
  font-weight: 700;
  margin-top: 2rem;
}

.p-spMenu__nav .c-listMenu a:hover {
  padding-left: initial;
  padding-right: initial;
}

.p-spMenu__nav .c-spnav a {
  border-bottom: none;
  text-align: center;
}

.p-spMenu__nav .c-listMenu a:before {
  display: none;
}

.drawer-logo {
  padding: 20px;
  text-align: center;
}

.drawer-logo img {
  width: 150px;
  height: auto;
}

.p-spMenu .contact-btn {
  margin-inline: auto;
  color: #FFF;
}

.p-spMenu .post_content {
  display: flex;
}

/* MV */
.p-mainVisual__slideText {
  font-size: clamp(16px, 1.39vw + 10.8px, 24px);
  font-weight: 500;
}

.p-mainVisual__textLayer {
  left: 47%;
  top: 80%;
  transform: translate(-50%, -50%);
}

.fv-text {
  left: 1%;
}

.fv-text span {
  font-weight: 500 !important;
}

/* アバウトセクション */
.about__text {
  font-weight: 500;
}

/* サービスセクション */
.service {
  border-radius: 60px 60px 0 0;
}

.service .service-card__content {
  border-radius: 20px;
  padding: 4em 2em 2em 2em;
  min-height: fit-content;
}

/* 画面幅が960px以上のときだけ高さ60%を指定 */
@media screen and (min-width: 960px) {
  .service .service-card__content {
    height: 60%;
  }
}

.service-card__image {
  margin-bottom: -5rem;
  z-index: +1;
}

@media screen and (max-width: 768px) {
  .service-card__image {
    margin-bottom: -5.5rem;
  }
}

@media screen and (max-width: 1024px) {
  .service-card__image {
    margin-bottom: -7.5rem;
  }
}

.service-detail__container {
  justify-content: space-between;
}

.service-detail .service-detail__wrapper {
  border-radius: 20px;
  padding: 4rem;
}

.service-detail__wrapper .service-detail__catch {
  position: relative;
}

.service-detail__wrapper .service-detail__catch::before {
  content: '';
  display: block;
  width: 72px;
  height: 5px;
  background-color: #16a6a3;
  border-radius: 3px;
  bottom: -2rem;
  left: 50%;
  transform: translateX(-50%);
}

.service-detail__card .deal-title02 {
  text-align: left;
}
.service-detail__card .deal-title03 {
  text-align: left;
}

.deal-chart {
  border-radius: 8px;
}

.service-detail .service-detail__catch {
margin: 3em 0 2em;
}

.deal-chart__card .wp-block-image img {
  width: 100% !important;
}

.deal-chart .deal-chart__cards {
  width: 78.7%;
}

.service-detail__wrapper .deal-chart {
  border-radius: 8px;
  border: 1px solid #DDD;
  padding: 3.7rem 0.6rem;
  gap: 5px;
  justify-content: center;
}

.deal-chart__card {
  gap: 0 !important;
}

.deal-chart__head {
  position: relative;
}

.deal-chart__head-sp {
  flex: 1;
}

.deal-chart .wp-block-column {
  display: flex;
}

.deal-chart__head p {
  position: absolute;
  color: #FFF;
  top: 50%;
  left: 37%;
  transform: translate(-50%, -50%);
}

.deal-chart__head-sp p {
  position: absolute;
  color: #FFF;
  top: 50%;
  transform: translate(80%, -50%);
  -ms-writing-mode: tb-rl;
  writing-mode: vertical-rl;
}

.deal-chart__head img {
  width: 76%;
  display: flex;
}

.deal-chart__title {
  position: relative;
}

.deal-chart__title p {
  position: absolute;
  color: #FFF;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  white-space: nowrap;
}

.deal-title__num {
  align-items: center;
  gap: 1rem;
}

.deal-title__num .deals-title {
  text-align: left;
  }

.deal-banner__top p {
  padding: 0.5rem 1rem;
}

.deal-chart .deal-chart__text {
  border-radius: 4px;
  box-shadow: 2px 2px 12px 0 rgba(0, 0, 0, 0.15);
  width: 97%;
  padding: 1.5rem 0.7rem;
  flex-grow: 1;
  display: flex;
  justify-content: center;
  min-height: 134px;
  align-items: center;
}

.deal-chart .deal-chart__text-sp {
  border-radius: 4px;
  box-shadow: 2px 2px 12px 0 rgba(0, 0, 0, 0.15);
  padding: 0.5rem 1rem;
  flex-grow: 1;
  display: flex;
  justify-content: center;
}

.deal-banner__top p {
  border-radius: 8px 8px 0 0;
}

.deal-banner__bottom p {
  border-radius: 0 0 8px 8px;
}

.deal-service__top {
  padding-top: 2em;
}

/* 3カラムグリッドコンテナ */
.service-cards-container .swell-block-columns__inner {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: auto auto auto;
  gap: 1rem;
  margin: 0;
}

/* 各カード */
.swell-block-column.service-card {
  display: grid;
  grid-template-rows: subgrid;
  grid-row: span 3;
  margin: 0;
  width: 100%;
  gap: 8px;
}

/* カードコンテンツ figureの兄弟要素 */
.wp-block-group.service-card__content {
  display: grid;
  grid-template-rows: subgrid;
  grid-row: span 2;
}

/* カードコンテンツ 上の要素の子要素 */
.service .wp-block-group__inner-container {
  display: grid;
  grid-template-rows: subgrid;
  grid-row: span 2;
}

/* FireFox調整用 */
.swell-block-accordion__body {
transform: translateY(3rem);
}

.swell-block-accordion__item {
padding-bottom: 3rem;
}

.service__detail .swell-block-accordion__body {
  border-radius: 8px;
  border: 1px solid var(--text-color-grayDDD, #DDD);
  background: var(--base-other, #FAFAFA);
  padding: 2rem 1.2rem;
}

.service__detail01 .swell-block-accordion__body {
  border-radius: 8px;
  border: 1px solid var(--text-color-grayDDD, #DDD);
  background: var(--base-other, #FAFAFA);
  padding: 2rem 4rem;
}

.service__detail .swell-block-accordion__title {
  background-image: url('https://www.c2cc.jp/wp-content/uploads/2025/07/Contact-Button.png');
  transition: filter 0.3s ease;
  cursor: pointer;
  position: relative;
  display: flex;
  justify-content: center;
  min-width: fit-content;
  width: 16rem;
  border-radius: 30px;
  color: #FFF;
  text-align: center;
  margin-inline: auto;
}

.service__detail .icon-caret-down:before {
  content: "\2193";
}

.service__detail .icon-caret-up:before {
  content: "\2191";
}

.service__detail .swell-block-accordion__item {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.service-detail__container-content span {
  display: flex;
  white-space: nowrap;
}

.service-detail__card {
  border: solid 3px #28AFA0;
  background: #FFF;
  border-radius: 16px;
  box-shadow: 2px 2px 12px 0 rgba(0, 0, 0, 0.15);
  text-align: left;
}

.service__detail .service-detail__card-title {
  text-align: left;
}

.service-detail__head {
  display: flex;
}

.deal-basic__content {
  border-radius: 12px;
  background: #F2F3F7;
  padding: 1.2rem;
}

.deal-basic__text {
  padding: 2rem 1rem;
}

.deal-advance__content {
  border-radius: 12px;
  background: #F2F3F7;
  padding: 1.5rem 3.5rem;
}

.deal-result__top {
  text-align: center;
}

.service__detail .deal-result__head {
  border-radius: 25px;
  border: 2px solid var(--text-color-whiteFFF, #FFF);
  box-shadow: 2px 2px 8px 0 rgba(0, 0, 0, 0.15);
  display: inline-block;
  padding: 8px 40px;
  justify-content: center;
  align-items: center;
}

.deal-result__content {
  border-radius: 12px;
  background: #F2F3F7;
  padding: 2rem;
}

.deal-result__content .service-detail__card {
  padding: 1.5rem;
}

.deal-chart__arrow-sp {
  flex: 1;
}

.service-detail__box .wp-block-columns {
  justify-content: center;
}

/* works */
.works__card {
  border: 1px solid #DDDDDD;
  border-radius: 10px;
  position: relative;
}

.works__card::before {
  content: '';
  position: absolute;
  top: 0;
  right: 0;
  width: 4rem;
  height: 4rem;
  background-image: url('https://www.c2cc.jp/wp-content/uploads/2025/07/works-treatment.png');
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  z-index: 1;
}

.works__card .font500 {
  font-weight: 500;
}

/* team */
.team {
  border-radius: 20px;
}

.team__container {
  border-radius: 20px;
}

/* column投稿のアイコン変更 */
.c-pageTitle span {
  font-size: 2rem;
  color: #333;
  font-weight: 700;
}

.l-sidebar .wp-block-heading {
  color: #28afa0;
  font-size: 1.5rem;
}

.single-post .c-postTitle__date {
  color: #28afa0;
}

.icon-posted {
  color: #28afa0;
}

.icon-posted:before {
  content: "\e931";
  display: none;
}

/* 投稿個別の設定 */
.p-postList__thumb {
  box-shadow: 0px 0px 0px;
}

.p-postList__body {
  display: flex;
  flex-direction: column;
}

.p-postList__meta {
  order: -1;
  padding-bottom: 0.5rem;
  margin-top: 0px;
}

/* column */
.column .icon-posted {
  color: #28afa0;
}

.column .icon-posted:before {
  content: "\e931";
  display: none;
}

.column .p-postList__thumb {
  box-shadow: 0px 0px 0px;
}

.column .p-postList__body {
  display: flex;
  flex-direction: column;
}

.column .p-postList__meta {
  order: -1;
  padding-bottom: 0.5rem;
  margin-top: 0px;
}

/* .column__block 内のもっと見るボタンにスタイルを適用 */
.column__block .btn_text {
  background-image: url('https://www.c2cc.jp/wp-content/uploads/2025/07/Contact-Button.png');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  transition: filter 0.3s ease;
  cursor: pointer;
  position: relative;
  display: inline-block;
  min-width: fit-content;
  width: 16rem;
  padding: 1em 2em;
  text-align: center;
  color: #fff;
  font-weight: bold;
  text-decoration: none;
  border: none;
  border-radius: 40px;
}

/* ホバー時の明るさ変化 */
.column__block .btn_text:hover {
  filter: brightness(0.85);
}

/* 矢印の装飾を追加 */
.column__block .btn_text::before {
  content: '→';
  position: absolute;
  top: 50%;
  right: 10%;
  font-size: 1rem;
  color: #FFF;
  transform: translateX(-50%) translateY(-50%);
  transition: transform 0.3s ease;
}

/* ホバー時の矢印の動き */
.column__block .btn_text:hover::before {
  transform: translateX(-30%) translateY(-50%);
}

.column__block .is-style-more_btn a:after {
  display: none;
}

.column .p-postList__title {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  letter-spacing: 0.04em;
  font-weight: 600;
}

/* company */
.company__infoLists {
  font-weight: 500;
}

.company__infoList {
  border-bottom: 1px solid #DDDDDD;
  padding-bottom: 0.8em;
}

/* プログレストラッカー */
[data-screen=input] .smf-progress-tracker__item--input .smf-progress-tracker__item__number,
[data-screen=confirm] .smf-progress-tracker__item--confirm .smf-progress-tracker__item__number,
[data-screen=complete] .smf-progress-tracker__item--complete .smf-progress-tracker__item__number {
  background-color: #28AFA0;
}

[data-screen=input] .smf-progress-tracker__item--input .smf-progress-tracker__item__text,
[data-screen=confirm] .smf-progress-tracker__item--confirm .smf-progress-tracker__item__text,
[data-screen=complete] .smf-progress-tracker__item--complete .smf-progress-tracker__item__text {
  color: #28AFA0;
}

ol.smf-progress-tracker {
  margin-bottom: 3rem;
}

/* お問い合わせ */
.snow-monkey-form {
  background-color: #FAFAFA;
  padding: 5rem 10rem 4rem 10rem;
  border-radius: 18px;
}

/* プログレスバー */
.smf-progress-tracker__item:first-of-type {
  align-items: flex-start;
}

.smf-progress-tracker__item:nth-of-type(2) {
  align-items: center;
}

.smf-progress-tracker__item:nth-of-type(3) {
  align-items: end;
}

.smf-progress-tracker__item:after {
  left: 5%;
}

.smf-progress-tracker__item:before {
  right: 5%;
}

.smf-action .smf-button-control__control {
  background-image: url('https://www.c2cc.jp/wp-content/uploads/2025/07/Contact-Button.png');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  transition: filter 0.3s ease;
  cursor: pointer;
  position: relative;
  display: inline-block;
  min-width: fit-content;
	font-weight:700;
  width: 16rem;
  padding: 0.5em 2em;
  text-align: center;
  color: #fff;
  text-decoration: none;
  border: none;
  border-radius: 40px;
}

.smf-button-control__control:hover {
  filter: brightness(0.85);
}

.smf-button-control__control[data-action="confirm"]::after,
.smf-button-control__control[data-action="complete"]::after {
  content: '→';
  position: absolute;
  top: 50%;
  right: 10%;
  font-size: 1rem;
  color: #FFF;
  transform: translateX(-50%) translateY(-50%);
  transition: transform 0.3s ease;
}

.smf-button-control__control[data-action="back"]::after {
  content: '←';
  position: absolute;
  top: 50%;
  left: 10%;
  font-size: 1rem;
	font-weight:700;
  color: #FFF;
  transform: translateX(-50%) translateY(-50%);
  transition: transform 0.3s ease;
}

/* ホバー時に矢印を動かす */
.smf-button-control__control:hover::after {
  transform: translateX(-30%) translateY(-50%);
}

.smf-button-control__control[data-action="back"]:hover::after {
  transform: translateX(-70%) translateY(-50%);
}

/* フッター */
.l-footer .l-container {
  display: flex;
  justify-content: space-between;
}

.l-footer .l-footer__nav a {
  border-right: none;
}

.l-footer .l-footer__nav li:first-child a {
  border-left: none;
}

.l-footer__nav {
  padding: 0;
}

.deal-head__title {
  position: absolute;
  top: 50%;
}

.grecaptcha-badge {
  visibility: hidden;
}

/* レスポンシブ対応 */

@media screen and (max-width: 1024px) {
 .service-detail__wrapper .service-detail__catch::before {
    margin: 4.8em auto 0;
  }
}

@media screen and (max-width: 959px) {
  .snow-monkey-form {
    padding: 3rem 2rem;
  }
}
@media screen and (max-width: 959px) {
.service-detail__wrapper .service-detail__container {
  display: block;
  }
}

@media screen and (max-width: 767px) {
  .snow-monkey-form {
    padding: 2rem 1rem;
  }

  .smf-action .smf-button-control__control[data-action="confirm"]::after,
  .smf-action .smf-button-control__control[data-action="complete"]::after {
    right: 5%;
  }
}

@media screen and (max-width: 820px) {
  .fv-text {
    left: 1% !important;
  }

  .service-detail__wrapper .service-detail__catch::before {
    margin: 4.8em auto 0;
  }

  .service-detail .service-detail__wrapper {
    padding: 4rem 1rem 1rem 1rem;
  }

  .service__detail01 .swell-block-accordion__body {
    padding: 2rem 1rem;
  }

  /* .service__detail .swell-block-accordion__title {
    margin-right: initial;
  } */
}

.service-detail__box04 .service-detail__card04 {
padding: 2rem 1rem;
}

@media screen and (max-width: 613px) {
  .snow-monkey-form .smf-action {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    align-items: center;
  }

  .smf-action .smf-button-control+.smf-button-control {
    margin-left: initial;
  }
}

@media screen and (min-width: 767px) and (max-width: 1024px) {
  .service-detail__wrapper .deal-chart {
    padding: 3.7rem 7.6rem;
    border-radius: 8px;
    border: 1px solid #DDD;
    gap: 5px;
    justify-content: center;
  }
}


@media screen and (max-width: 1024px) {
  .service-cards-container .swell-block-columns__inner {
    grid-template-columns: 1fr !important;
  }

  .service-detail__box .wp-block-columns {
    justify-content: left;
  }
}



/* 375px */
.fv .fv-text {
  font-size: 1.225rem;
}

/* 768px */
@media screen and (min-width: 768px) and (max-width: 1439px) {
  .fv .fv-text {
    font-size: 2rem;
  }
}

/* 1440px〜 */
@media screen and (min-width: 1440px) {
  .fv .fv-text {
    font-size: 1.5rem;
  }
}

.swell-block-accordion__title .swell-block-accordion__label {
padding: 0 !important;
}

/* our-team */

.team_box{
border-radius: 6px;
}